package textures.player.attacks;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class BasePlayerAttackTextures {
	
	public static void getTextures(BufferedImage image) {
		/*** FACING SOUTH ***/
		Textures.basePlayerAttackSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.basePlayerAttackSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.basePlayerAttackSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.basePlayerAttackSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);
		/*** FACING NORTH ***/
		Textures.basePlayerAttackSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.basePlayerAttackSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.basePlayerAttackSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.basePlayerAttackSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);
		/*** FACING WEST ***/
		Textures.basePlayerAttackSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.basePlayerAttackSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.basePlayerAttackSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.basePlayerAttackSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);
		/*** FACING EAST ***/
		Textures.basePlayerAttackSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.basePlayerAttackSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.basePlayerAttackSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.basePlayerAttackSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);
		/*** FACING NW ***/
		Textures.basePlayerAttackSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.basePlayerAttackSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.basePlayerAttackSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.basePlayerAttackSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);
		/*** FACING NE ***/
		Textures.basePlayerAttackSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.basePlayerAttackSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.basePlayerAttackSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.basePlayerAttackSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);
		/*** FACING SW ***/
		Textures.basePlayerAttackSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.basePlayerAttackSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.basePlayerAttackSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.basePlayerAttackSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);
		/*** FACING SE ***/
		Textures.basePlayerAttackSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.basePlayerAttackSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.basePlayerAttackSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.basePlayerAttackSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
	
}
